import serial
import time
from flask import Flask

app = Flask(__name__)

@app.route("/")
def lux():
    ser = serial.Serial('/dev/ttyACM0')
    data = ser.readline()
    if data:
        l = float(data.split("=")[1].strip())
        return str(l)
    else:
        return "error"

app.run(host="0.0.0.0")
